//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="concept" type="{}ScenarioTemplateConcept" maxOccurs="unbounded" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="ref" type="{}Oid" /&gt;
 *       &lt;attribute name="flexibility" type="{}StaticOrDynamicFlexibility" default="dynamic" /&gt;
 *       &lt;attribute name="displayName" type="{}LongDescriptiveName" /&gt;
 *       &lt;attribute name="sourceDataset" type="{}Oid" /&gt;
 *       &lt;attribute name="sourceDatasetFlexibility" type="{}StaticFlexibility" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "concept"
})
@XmlRootElement(name = "representingTemplate")
public class RepresentingTemplate {

    private List<ScenarioTemplateConcept> concept;
    @XmlAttribute(name = "ref")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String ref;
    @XmlAttribute(name = "flexibility")
    private String flexibility;
    @XmlAttribute(name = "displayName")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String displayName;
    @XmlAttribute(name = "sourceDataset")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String sourceDataset;
    @XmlAttribute(name = "sourceDatasetFlexibility")
    private XMLGregorianCalendar sourceDatasetFlexibility;

    /**
     * Gets the value of the concept property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the concept property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getConcept().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ScenarioTemplateConcept }
     * 
     * 
     */
    public List<ScenarioTemplateConcept> getConcept() {
        if (concept == null) {
            concept = new ArrayList<>();
        }
        return this.concept;
    }

    /**
     * Gets the value of the ref property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRef() {
        return ref;
    }

    /**
     * Sets the value of the ref property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRef(String value) {
        this.ref = value;
    }

    /**
     * Gets the value of the flexibility property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFlexibility() {
        if (flexibility == null) {
            return "dynamic";
        } else {
            return flexibility;
        }
    }

    /**
     * Sets the value of the flexibility property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFlexibility(String value) {
        this.flexibility = value;
    }

    /**
     * Gets the value of the displayName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDisplayName() {
        return displayName;
    }

    /**
     * Sets the value of the displayName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDisplayName(String value) {
        this.displayName = value;
    }

    /**
     * Gets the value of the sourceDataset property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSourceDataset() {
        return sourceDataset;
    }

    /**
     * Sets the value of the sourceDataset property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSourceDataset(String value) {
        this.sourceDataset = value;
    }

    /**
     * Gets the value of the sourceDatasetFlexibility property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getSourceDatasetFlexibility() {
        return sourceDatasetFlexibility;
    }

    /**
     * Sets the value of the sourceDatasetFlexibility property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setSourceDatasetFlexibility(XMLGregorianCalendar value) {
        this.sourceDatasetFlexibility = value;
    }

}
